BICON(1)

NAME
bicon - a bidirectional console

SYNOPSIS
bicon [isocode] [command [arguments...]]

DESCRIPTION
Bicon is a console program that supports bidirectional text display, for languages like Arabic, Persian and Hebrew. bicon uses bicon.bin(1) to do the real bidi/joining conversion after loading a suitable keymap and font. While using bicon you can switch between Arabic and English, or between Persian and English, using the Alt-Shift key combination.

OPTIONS

isocode
    The two letter ISO country code, in small letters. If left empty, the derived value from the LANG variable is used instead.

command
    is executed by bicon after it loads. If omitted, bicon uses the current SHELL , or /bin/sh if SHELL is undefined.

arguments
    are passed to the command to run.

ENVIRONMENT
The following environment variables are utilized by bicon :

SHELL
    If the variable SHELL exists, the shell forked by bicon will be that shell. If SHELL is not set, the Bourne shell is assumed. (Most shells set this variable automatically).

LANG
    If isocode is not passed to bicon , it will examine LANG to determine the desired language.

TERM
    Variable TERM is examined in case to determine how to set the keymap and font. Recognized values are linux and xterm currently.

DISPLAY
    If the value of TERM is xterm, then DISPLAY is examined by bicon to find the X server to contant to load the keymap.

SEE ALSO
bicon.bin(1), unicode_start(1), unicode_stop(1), loadkeys(1), dumpkeys(1), kbd_mode(1), setfont(8), setxkbmap(1), xkbcomp(1).

AUTHOR
This manual page was written by Muhammad Alkarouri, of the Arabeyes project.

REPORTING BUGS
Please report bugs at http://bugs.arabeyes.org/cgi-bin/bugzilla/enter_bug.cgi?product=BiCon.

COPYRIGHT
Copyright © 2004 Arabeyes Project. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.